<!--- Create a new three-column query, specifying the column data types ---> 
<cfset myQuery = QueryNew("Name, Time, Advanced", "VarChar, Time, Bit")> 
 
<!--- Make two rows in the query ---> 
<cfset newRow = QueryAddRow(MyQuery, 2)> 
 
<!--- Set the values of the cells in the query ---> 
<cfset temp = QuerySetCell(myQuery, "Name", "The Wonderful World of CMFL", 1)> 
<cfset temp = QuerySetCell(myQuery, "Time", "9:15 AM", 1)> 
<cfset temp = QuerySetCell(myQuery, "Advanced", False, 1)> 
<cfset temp = QuerySetCell(myQuery, "Name", "CFCs for Enterprise 
        Applications", 2)> 
<cfset temp = QuerySetCell(myQuery, "Time", "12:15 PM", 2)> 
<cfset temp = QuerySetCell(myQuery, "Advanced", True, 2)> 
 
<cfoutput>
<cfset chartAttributes = structNew()>
<cfset chartAttributes.categoryLabelPositions = "vertical">
<cfchart format="png" xaxistitle="Startup Date/Time" yaxistitle="Application Startup (ms)" chartwidth="500" chartheight="300" attributeCollection="#chartAttributes#">
	<cfchartseries type="line" query="myQuery" itemcolumn="Name" valuecolumn="Time">
	</cfchartseries>
</cfchart>
</cfoutput>